## yubikey-touch-detector 1.11.0

=== Makefile ===
BIN := yubikey-touch-detector
VERSION = 1.11.0

PREFIX ?= /usr
LIB_DIR = $(DESTDIR)$(PREFIX)/lib
BIN_DIR = $(DESTDIR)$(PREFIX)/bin
SHARE_DIR = $(DESTDIR)$(PREFIX)/share

export CGO_CPPFLAGS := ${CPPFLAGS}
export CGO_CFLAGS := ${CFLAGS}
export CGO_CXXFLAGS := ${CXXFLAGS}
export CGO_LDFLAGS := ${LDFLAGS}
export GOFLAGS := -buildmode=pie -trimpath -ldflags=-linkmode=external

.PHONY: local
local: vendor build

.PHONY: run
run: local
	go run main.go

.PHONY: build
build: main.go detector/ notifier/
	go build -o $(BIN) main.go

.PHONY: vendor
vendor:
	go mod tidy
	go mod vendor

.PHONY: clean
clean:
	rm -f "$(BIN)"
	rm -rf dist
	rm -rf vendor

.PHONY: dist
dist: clean vendor build
	$(eval TMP := $(shell mktemp -d))
	mkdir "$(TMP)/$(BIN)-$(VERSION)"
	cp -r * "$(TMP)/$(BIN)-$(VERSION)"
	(cd "$(TMP)" && tar -cvzf "$(BIN)-$(VERSION)-src.tar.gz" "$(BIN)-$(VERSION)")

	mkdir "$(TMP)/$(BIN)-$(VERSION)-linux64"
	cp "$(BIN)" "$(BIN).service" "$(BIN).socket" LICENSE README.md "$(TMP)/$(BIN)-$(VERSION)-linux64"
	(cd "$(TMP)" && tar -cvzf "$(BIN)-$(VERSION)-linux64.tar.gz" "$(BIN)-$(VERSION)-linux64")

	mkdir -p dist
	mv "$(TMP)/$(BIN)-$(VERSION)"-*.tar.gz dist
	git archive -o "dist/$(BIN)-$(VERSION).tar.gz" --format tar.gz --prefix "$(BIN)-$(VERSION)/" "$(VERSION)"

	for file in dist/*; do \
	    gpg --detach-sign --armor "$$file"; \
	done

	rm -rf "$(TMP)"
	rm -f "dist/$(BIN)-$(VERSION).tar.gz"

.PHONY: install
install:
	install -Dm755 -t "$(BIN_DIR)/" $(BIN)
	install -Dm644 -t "$(LIB_DIR)/systemd/user" "$(BIN).service"
	install -Dm644 -t "$(LIB_DIR)/systemd/user" "$(BIN).socket"
	install -Dm644 -t "$(SHARE_DIR)/icons/hicolor/128x128/apps/" yubikey-touch-detector.png
	install -Dm644 -t "$(SHARE_DIR)/licenses/$(BIN)/" LICENSE
	install -Dm644 -t "$(SHARE_DIR)/doc/$(BIN)/" README.md
	install -Dm644 -t "$(SHARE_DIR)/doc/$(BIN)/" service.conf.example

=== debian/changelog ===
yubikey-touch-detector (1.11.0-2) unstable; urgency=medium

  * No change, source-only rebuild.

 -- Philipp Kern <pkern@debian.org>  Fri, 15 Nov 2024 17:02:03 +0100

yubikey-touch-detector (1.11.0-1) unstable; urgency=medium

  * Initial release (Closes: #1084220)

 -- Philipp Kern <pkern@debian.org>  Thu, 10 Oct 2024 21:56:59 +0200

## yubikey-touch-detector 1.12.5

=== debian/changelog ===
yubikey-touch-detector (1.12.5-1) unstable; urgency=medium

  * New upstream version

 -- Philipp Kern <pkern@debian.org>  Sun, 26 Jan 2025 13:22:30 +0100

=== debian/control ===
Source: yubikey-touch-detector
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Philipp Kern <pkern@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               pkgconf,
               golang-any,
               golang-dbus-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-deckarep-golang-set-dev,
               golang-github-esiqveland-notify-dev,
               golang-github-proglottis-gpgme-dev,
               golang-github-rjeczalik-notify-dev,
               golang-github-vtolstov-go-ioctl-dev,
               golang-logrus-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/yubikey-touch-detector
Vcs-Git: https://salsa.debian.org/go-team/packages/yubikey-touch-detector.git
Homepage: https://github.com/maximbaz/yubikey-touch-detector
XS-Go-Import-Path: github.com/maximbaz/yubikey-touch-detector

Package: yubikey-touch-detector
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: tool to notify you when your YubiKey is waiting for a touch
 This package provides a tool that can detect when the attached YubiKey
 is waiting for your touch. It is designed to be integrated with other UI
 components to display a visual indicator.
 .
 By default this tool offers a feed through a socket to other UI
 integrations and natively supports sending notifications through
 libnotify to a desktop implementing the freedesktop.org Desktop
 Notifications Specification. Other integrations might exist for your
 WM to show a touch indicator natively.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/maximbaz/yubikey-touch-detector/tags .*/v?(\d\S*)\.tar\.gz debian
